import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (i, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, o = i.length - 1, a; o >= 0; o--)
    (a = i[o]) && (e = (r ? a(t, s, e) : a(e)) || e);
  return r && e && m(t, s, e), e;
};
let c = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--backpack", this.class = "c-pieIcon c-pieIcon--backpack", this.name = "IconBackpack";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--backpack"><path d="M13.25 8V5.436a1.6 1.6 0 0 0-1.592-1.592h-.578l-.875-2.625H5.778l-.875 2.625h-.56A1.6 1.6 0 0 0 2.75 5.436V8a.875.875 0 0 0-.875.875v3.5a.875.875 0 0 0 .875.875 1 1 0 0 0 .271-.053 1.58 1.58 0 0 0 1.322.71h7.315a1.58 1.58 0 0 0 1.32-.71q.133.047.272.053a.875.875 0 0 0 .875-.875v-3.5A.875.875 0 0 0 13.25 8M6.723 2.531h2.555l.42 1.313H6.303zm5.25 9.783a.28.28 0 0 1-.28.28h-7.35a.28.28 0 0 1-.28-.28V5.436a.28.28 0 0 1 .28-.28h7.315a.28.28 0 0 1 .28.28z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], c.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = p([
  f("icon-backpack")
], c);
export {
  c as IconBackpack
};
